#pragma once

#include <vector>
#include "C_P1ImageCommonLinkage.h"

namespace P1
{
namespace ImageSdk
{
    class Curve
    {
        private:
            std::vector<double> _x;
            std::vector<double> _y;


            friend class ConvertConfig;
        public:
            Curve(int numPoints)
            {
                _x.resize(numPoints);
                _y.resize(numPoints);
            }
            const std::vector<double> & X(){return _x;}
            const std::vector<double> & Y() { return _y; }
    };
}
}